Subject: Re: bug#9679: 24.0.90; After rgrep, next-error goes to the wrong line

From: Ari Roponen <[email-masked]>
Date: Fri, 07 Oct 2011 11:41:38 +0300

Ari Roponen <[email-masked]> writes:

> I guess the problem has something to do with those markers.

I found a way to fix the problem locally without reverting any commits.

The function `compilation-next-error-function' contains this:

    ;; If loc contains no marker, no error in that file has been visited.
    ;; If the marker is invalid the buffer has been killed.
    ;; So, recalculate all markers for that file.
    (unless (and (compilation--loc->marker loc)
                 (marker-buffer (compilation--loc->marker loc))
                 ;; FIXME-omake: For "omake -P", which automatically recompiles
                 ;; when the file is modified, the line numbers of new output
                 ;; may not be related to line numbers from earlier output

When I add "nil" after "and", the problem goes away.

-- 
Ari Roponen